

main {
    flex: 1;
    padding: 60px 20px 20px 20px;
    /* align-self: center;  spostato su container1 */
}
.mainpage{
    
    /* top: 100px;  */
    display: flex;
    flex-direction: column;
    padding-top: 46px;
    padding-right: 20px;
    padding-bottom: 20px;
    padding-left: 20px;
    
}
@media (max-width: 600px) {
    .mainpage{
        /*top: 45px; */
        display: inline-block; 
        padding-top: 70px;
        padding-right: 5px;
        padding-bottom: 5px;
        padding-left: 5px;
    }
    main {
        padding: 25px 2px 5px 2px;
    }
}

h1 {
    text-align: center;
    color: #333;
}
h2 {
    text-align: center;
    color: #3d3a3a;
}
h4 {
    margin-top: 5px;
    margin-bottom: 5px;
} 
form {
    background: #fff;
    padding: 20px;
    border-radius: 20px;
    box-shadow: 0 2px 15px rgba(0, 0, 0, 0.4);
    max-width: 600px;
    margin: auto;
}
label {
    display: block;
    /* margin: 10px 0 5px; */
    position: relative;
    
}
/* ******************************* */
.input-field, .select {
    padding: 10px;
    border: 2px solid #4CAF50;
    border-radius: 5px;
    font-size: 16px;
    width: 300px;
    transition: border-color 0.25s ease-in-out, box-shadow 0.25s ease-in-out;
}

.input-field:focus , .select:focus {
    border-color: #45a049; 
    box-shadow: 0 0 5px rgba(72, 187, 120, 0.5);
    outline: none; 
}

.label {
    left: 10px;
    top: -24px;
    font-size: 15px;
    color: #999;
    transition: 0.25s ease-in-out;
}

.input-field:focus + .label, .select:focus + .label, 
.input-field:not(:placeholder-shown) + .label {
    top: -42px;
    left: 12px;
    font-size: 12px; 
    color: #5098eb;
    background-color: #ffffffff;
    width: fit-content;

    border-right-width: 5px;
  border-right-style: solid;
  border-right-color: #00000000;
  border-left-width: 5px;
  border-left-style: solid;
  border-left-color: #00000000;
  
}
.input-field::placeholder {
    color: transparent; 
}

.input-field:focus::placeholder {
    color: #999; 
}
/* ******************************* */

.input-group {
    display: flex;
    justify-content: space-between;
    flex-wrap: nowrap;
} 
.input-group [name="cap"] {
    flex: 20%;
} .input-group [name="localita"] {
    flex: 65%;
} .input-group [name="provincia"] {
    flex: 15%;
}

.input-group > div {
    flex: 1; 
    margin-right: 10px;
    margin-top: 5px;
    margin-bottom: 5px;
    
}
.input-group > div:last-child {
    margin-right: 0;
}
input[type="number"],
input[type="text"],
input[type="date"],
input[type="email"],
input[type="tel"]
 {
    width: calc(100% - 22px);
    padding: 18px 18px 18px 18px;
    margin-bottom: -5px;
    border: 1px solid #ccc;
    border-radius: 10px;
    box-sizing: border-box;

    height: 40px;
}

input[type="submit"] {
    background-color: #5cb85c;
    color: white;
    border: none;
    padding: 10px 15px;
    border-radius: 4px;
    cursor: pointer;
    font-size: 25px;

    display: block; 
    width: 200px; 
    margin: 0 auto;

    border: 1px solid #5cb85c;
    height: 49px;

}
input[type="submit"]:hover {
    background-color: #4cae4c;
    border-radius: 8px;
    border: 1px solid #ccc;
}
#istruzionipagamento {
    display: none;
    margin-top: 10px;
    
    padding: 10px;
    background-color: #f9f9f9;
    font-style: italic;
    font-size: 14px;
}
.error {
    color: red;
    font-size: 0.9em;
}
.image-container {
    text-align: center; 
}
@media (max-width: 600px) {
    .input-group > div {
        flex: 100%;
        margin-right: 0;
        flex-wrap: wrap;
    }
    .input-group {
        flex: 100%;
        margin-right: 0;
        flex-wrap: wrap;
    }
    .input-group [name="cap"],
    .input-group [name="localita"],
    .input-group [name="provincia"] {
        flex: 100%;
        margin-right: 0;
        flex-wrap: wrap;
    }
    
}

.radio-group {
display: flex;
flex-direction: column;
margin-bottom: 10px; 
}

.radio-group div {
display: flex;
align-items: center;
margin-bottom: 5px; 
}

.radio-group input[type="radio"] {
margin: 0; 
margin-right: 5px;
width: auto; 
height: auto; 
vertical-align: middle;
}

.radio-group label {
margin: 0; 
margin-left: 5px;
line-height: 1.05;
}

/* Nascondi spinner in Chrome, Safari e Edge */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
/* Nascondi spinner in Firefox */
input[type="number"] {
    -moz-appearance: textfield;
}

.suggestions {
    border: 2px solid #c0bfbf;
    border-radius: 2px 2px 16px 16px;
    max-height: 150px;
    overflow-y: auto;
    display: none;

    position: absolute;

    background:   #ddf3d4;
    z-index: 1000;
    gap: 0.1px;
    max-width: 80%;

}

.suggestion-item {
    padding: 5px;
    cursor: pointer;
}

.suggestion-item:hover {
    background-color: #6dee6d;
    
}
input[readonly]{
    background-color: #f0f0f0; 
    color: #a0a0a0; 
    border: 1px solid #ccc;
    cursor: not-allowed; 
}

/* Stile del selettore */
.toggle-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

.toggle {
    position: relative;
    width: 60px;
    height: 30px;
    background-color: #ca1e1ee5;
    border-radius: 30px;
    cursor: pointer;
    transition: background-color 0.3s;
    margin-left: 10px;
    margin-right: 10px;
}

.toggle::before {
    content: '';
    position: absolute;
    width: 26px;
    height: 26px;
    background-color: rgb(187, 186, 186);
    border-radius: 50%;
    top: 2px;
    left: 2px;
    transition: transform 0.3s;
}

.toggle.active {
    background-color: #1ff10cee;
    
}

.toggle.active::before {
    transform: translateX(30px);
    
}
.strikethrough {
    text-decoration: line-through;
}

.button {
    background-color: #4CAF50; 
    color: white; 
    padding: 10px 20px; 
    border: none; 
    border-radius: 5px;
    cursor: pointer;
    font-size: 16px;
    transition: background-color 0.3s ease;
    margin: 2px;
}

.button:hover {
    background-color: #46a049;
}

.container1 {   
    position: relative;
    max-width: 1400px; 
    text-align: center; 
    border-radius: 20px;
    box-shadow: 4px 6px 6px 1px;
    padding: 30px 20px 25px 20px;
    border-width: 1;
    border-style: solid;
    margin: 20px 5px 20px 5px;
    
    align-self: center;
}
.container11 {
    position: relative;
    max-width: 1400px; 
    display: flex;
    flex-direction: column;
    text-align: center; 
    width: fit-content;
}
@media (min-width: 600px) {
    .container2 {
        display: flex;
    }
    .container3 {
        flex: 50%; 
        display: grid; 
        align-content: center;
    }
}

.scopripopup {
    top: 10%;
    background-color: #fff8df;
    border: 3px solid #ccc; 
    border-radius: 8px; 
    padding: 20px; 
    z-index: 1000; 
    width: 80%;
    height: 70%;
    text-align: left;
}

.tooltip {
    position: relative;
    cursor: pointer;
}

.tooltip .tooltiptext {
    visibility: hidden;
    width: 250px;
    background-color: black;
    color: #fff;
    text-align: center;
    border-radius: 5px;
    padding: 5px;
    position: absolute;
    z-index: 1;
    bottom: 125%; /* Posizione sopra l'elemento */
    left: 50%;
    margin-left: -125px; /* Centra il tooltip */
    opacity: 0;
    transition: opacity 0.3s;
}

.tooltip:hover .tooltiptext {
    visibility: visible;
    opacity: 1; 
}

.messagecopy {
    display: none;
    color: grey;
    margin-top: -5px;
    opacity: 1;
    transition: opacity 3s ease;
    font-size: 18px
}
.fade-out {
    opacity: 0;
}

.xbuttonpopup {
    font-size: 18px;
    text-align: right;
    cursor: pointer;
}

@keyframes a15a018 {
    0% {
        box-shadow: 0 0 0 rgba(52, 152, 219, 0.1);
    }
    20% {
        box-shadow: 0 0 5px rgba(52, 152, 219, 0.3); 
    }
    40% {
        box-shadow: 0 0 15px rgba(52, 152, 219, 0.6); 
    }
    50% {
        box-shadow: 0 0 25px rgba(52, 152, 219, 1.0); 
    }
    60% {
        box-shadow: 0 0 15px rgba(52, 152, 219, 0.6); 
    }
    80% {
        box-shadow: 0 0 15px rgba(52, 152, 219, 0.3);
    }
    100% {
        box-shadow: 0 0 0 rgba(52, 152, 219, 0.1);
    }
}
.animatedbox {
    animation: 2000ms cubic-bezier(0.55, 0.085, 0.68, 0.53) infinite a15a018;
}